#!/usr/bin/env bash

read -r -p "Username: " USERNAME
read -r -s -p "Password: " PASSWORD

_pkg_name=mirror-server
_pkg_version=0.2.0
_deb_file="${_pkg_name}_${_pkg_version}_amd64.deb"
_deb_path="target/debian"
_gitea_server="code.birch-tree.net"

if [[ ! -f "${_deb_path}/${_deb_file}" ]];
then
	echo "Run cargo deb first!"
	exit 1
fi

curl --user "${USERNAME}:${PASSWORD}" \
	--upload-file "${_deb_path}/${_deb_file}" \
	-X PUT \
	"https://${_gitea_server}/api/packages/${USERNAME}/generic/${_pkg_name}/${_pkg_version}/${_deb_file}"

